Bug 193969 - dns/knot: update to 1.5.3
Summary: dns/knot: update to 1.5.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords: easy, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2014-09-27 11:13 UTC by Erwin Lansing
Modified: 2014-10-07 12:24 UTC (History)
3 users (show)

See Also:
erwin: maintainer-feedback? (freebsd)


Attachments
patch (787 bytes, patch)
2014-09-27 11:14 UTC, Erwin Lansing
koobs: maintainer-approval? (freebsd)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Erwin Lansing freebsd_committer 2014-09-27 11:13:17 UTC
Version: 1.5.3
Bugfixes:
Some specific incoming IXFRs were causing server to crash
Rare sychronization error during reload caused read-after-free
Response synthetization module did not work properly with DNSSEC-enabled zones
If Knot sent AXFR when IXFR was requested, message ID and opcode were wrong
Knot failed to send large messages to remote control (present since 1.5.1)
Version: 1.5.2
Bugfixes:
Some RR parsing corner cases were not handled properly
AXFR-style IXFR was refused and had to be retransfered
Hash character (#) was not properly escaped when storing text zone file
Comment 1 Bugzilla Automation freebsd_committer 2014-09-27 11:13:17 UTC
Maintainer CC'd
Comment 2 Erwin Lansing freebsd_committer 2014-09-27 11:14:08 UTC
Created attachment 147723 [details]
patch
Comment 3 Leo Vandewoestijne 2014-09-30 22:24:07 UTC
Approved; works all fine.
Thanks!
Comment 4 Erwin Lansing freebsd_committer 2014-10-07 12:23:41 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2014-10-07 12:24:04 UTC
A commit references this bug:

Author: erwin
Date: Tue Oct  7 12:23:25 UTC 2014
New revision: 370316
URL: https://svnweb.freebsd.org/changeset/ports/370316

Log:
  Update to 1.5.3:
  Bugfixes:
  Some specific incoming IXFRs were causing server to crash
  Rare sychronization error during reload caused read-after-free
  Response synthetization module did not work properly with DNSSEC-enabled zones
  If Knot sent AXFR when IXFR was requested, message ID and opcode were wrong
  Knot failed to send large messages to remote control (present since 1.5.1)
  Version: 1.5.2
  Bugfixes:
  Some RR parsing corner cases were not handled properly
  AXFR-style IXFR was refused and had to be retransfered
  Hash character (#) was not properly escaped when storing text zone file

  PR:		193969
  Submitted by:	erwin
  Approved by:	freebsd@dns-lab.com (maintainer)

Changes:
  head/dns/knot/Makefile
  head/dns/knot/distinfo